Subject: bug#3625: save-some-buffers won't buzz off and let me just visit a file

From: [email-masked]
Date: Sun, 21 Jun 2009 03:56:18 +0800

SJ> This was done on purpose because somebody had complained about the
SJ> difficulties of recursive editing which is probably the only feasible
SJ> way to visit the buffer in this situation.  See bug #381¹.
SJ> ¹ http://debbugs.gnu.org/381

I see what I want then is the same as what I want now, an additional:

g: never mind saving anymore files, just let me visit that buffer now,
and don't bother waiting for me.

There must be some lisp way of doing that other than something like
system("exec emacsclient -n that_file&")?

We don't need save-some-buffers to do anything more at this point other
than call switch-to-buffer that_files_buffer, and then that's the end of
switch-to-buffer

OK, maybe what is making this impossible is
save-some-buffers-action-alist. But this is getting over my head.